Page MenuHomePhabricator

Special:Preferences: Describe the empty text box ("Other timezone") with some placeholder text
Closed, ResolvedPublic

Description

Steps

  1. Visit https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences?ooui=1#mw-prefsection-rendering-timeoffset
  2. Choose "Other (specify offset)" in timezone (if JS is enabled else this is not required).

The empty textbox is not so helpful as it doesn't specify the format of the offset. Further when JS is disabled, even it's purpose is not clear.

Possible solution
The textbox could use the placeholder attribute to specify information about it's purpose and format of the offset.

Event Timeline

Kaartic created this task.May 11 2018, 6:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2018, 6:24 PM
Jdforrester-WMF renamed this task from Special:Preferences-OOUI: describe the empty text box ("Other timezone") with placeholder text to Special:Preferences: Describe the empty text box ("Other timezone") with some placeholder text.May 11 2018, 9:32 PM
Jdforrester-WMF triaged this task as Low priority.

I see some pre-filled content here as of now:

@Prtksxna What you're referring to is the 3rd item in the dropdown (fill in from browser). When you start with the default setting and click “Other (specify offset)” first, it's left blank. A placeholder would be a useful addition.

Thanks for explaining @Volker_E, however when I use the 3rd item the result is:

The screenshot in my above comment was with the default setting which was Other (specify offset).

@Prtksxna Yeah, because it gives you your local offset (at least that's what I'm assuming).
But the task is about having a placeholder explaining what format is expected:
'Example values: “-09:00“ or “01:00”'

I guess the placeholder could also include the purpose of the text box. Like:

In case of "Other" specify the offset here. Example values: “-09:00“ or “01:00”

Vvjjkkii renamed this task from Special:Preferences: Describe the empty text box ("Other timezone") with some placeholder text to v3caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Kaartic renamed this task from v3caaaaaaa to Special:Preferences: Describe the empty text box ("Other timezone") with some placeholder text.Jul 1 2018, 1:33 PM
Kaartic lowered the priority of this task from High to Low.
Kaartic updated the task description. (Show Details)
Kaartic added a subscriber: Aklapper.

Change 476172 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Special:Preferences: Add example value as placeholder to timezone offset

https://gerrit.wikimedia.org/r/476172

@Kaartic Have altered label above to “Other (specify offset below)“ and added placeholder message Example values: "-07:00" or "01:00"

That's a screenshot in English (only language changed for the time being with the patch):

Thanks. Looks much better now.

Would adding when the text box would come into effect ("Others (specify offset)") to the label be useful? I ask this as the text box is shown always in the non-JS case. So users might get confused on seeing it. Specifying it, might help. Possible rephrase of label:

Others: Examples: "-07:00" or "01:30"

Others: Examples: "-07:00" or "01:30"

Oops, I meant to have a full stop in between. Corrected suggestion:

Others. Examples: "-07:00" or "01:30"

Neither is it simple to implement this specifically for (the small number of) noJS users and overwrite again for JS-enabled users, nor does 'Others. Examples: "-07:00" or "01:30"' speak a much clearer intention to the noJS users.
I'd recommend to put this on “resolved” for now and see if further feedback is voiced.

Change 476172 merged by jenkins-bot:
[mediawiki/core@master] Special:Preferences: Add example value as placeholder to timezone offset

https://gerrit.wikimedia.org/r/476172

Jdforrester-WMF closed this task as Resolved.Nov 30 2018, 8:59 PM
Jdforrester-WMF assigned this task to Volker_E.
Jdforrester-WMF removed a project: Patch-For-Review.

The text feels very unexpected and unlike what placeholders should be like. I would expect the placeholder text to be something like "±HH:MM". I think the text you proposed would work better as a help label: